CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
lo_internal.h File Reference
`#include <lo/lo_osc_types.h>`

Go to the source code of this file.

## Functions
ssize_t | lo_validate_string (void *data, ssize_t size)
| Validate raw OSC string data. Where applicable, data should be in network byte order.
ssize_t | lo_validate_blob (void *data, ssize_t size)
| Validate raw OSC blob data. Where applicable, data should be in network byte order.
ssize_t | lo_validate_bundle (void *data, ssize_t size)
| Validate raw OSC bundle data. Where applicable, data should be in network byte order.
ssize_t | lo_validate_arg (lo_type type, void *data, ssize_t size)
| Validate raw OSC argument data. Where applicable, data should be in network byte order.

## Function Documentation

ssize_t lo_validate_string | ( | void * | data,
|  | ssize_t | size
| ) |  |

Validate raw OSC string data. Where applicable, data should be in network byte order.

This function is used internally to parse and validate raw OSC data.

Returns length of string or < 0 if data is invalid.

Parameters:

  data | A pointer to the data.
  size | The size of data in bytes (total bytes remaining).

Definition at line 507 of file message.c.

References data, LO_EPAD, LO_ESIZE, and LO_ETERM.

Referenced by lo_get_path(), lo_message_deserialise(), lo_server_dispatch_data(), lo_validate_arg(), and lo_validate_bundle().

ssize_t lo_validate_blob | ( | void * | data,
|  | ssize_t | size
| ) |  |

Validate raw OSC blob data. Where applicable, data should be in network byte order.

This function is used internally to parse and validate raw OSC data.

Returns length of blob or < 0 if data is invalid.

Parameters:

  data | A pointer to the data.
  size | The size of data in bytes (total bytes remaining).

Definition at line 536 of file message.c.

References LO_EPAD, LO_ESIZE, LO_MAX_MSG_SIZE, and lo_otoh32.

Referenced by lo_validate_arg().

ssize_t lo_validate_bundle | ( | void * | data,
|  | ssize_t | size
| ) |  |

Validate raw OSC bundle data. Where applicable, data should be in network byte order.

This function is used internally to parse and validate raw OSC data.

Returns length of bundle or < 0 if data is invalid.

Parameters:

  data | A pointer to the data.
  size | The size of data in bytes (total bytes remaining).

Definition at line 563 of file message.c.

References data, LO_EINVALIDBUND, LO_ESIZE, lo_otoh32, and lo_validate_string().

Referenced by lo_server_dispatch_data().

ssize_t lo_validate_arg | ( | lo_type | type,
|  | void * | data,
|  | ssize_t | size
| ) |  |

Validate raw OSC argument data. Where applicable, data should be in network byte order.

This function is used internally to parse and validate raw OSC data.

Returns length of argument data or < 0 if data is invalid.

Parameters:

  type | The OSC type of the data item (eg. LO_FLOAT).
  data | A pointer to the data.
  size | The size of data in bytes (total bytes remaining).

Definition at line 603 of file message.c.

References LO_BLOB, LO_CHAR, LO_DOUBLE, LO_EINVALIDTYPE, LO_ESIZE, LO_FALSE, LO_FLOAT, LO_INFINITUM, LO_INT32, LO_INT64, LO_INT_ERR, LO_MIDI, LO_NIL, LO_STRING, LO_SYMBOL, LO_TIMETAG, LO_TRUE, lo_validate_blob(), and lo_validate_string().

Referenced by lo_message_deserialise().